% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/derive_var_atirel.R
\name{derive_var_atirel}
\alias{derive_var_atirel}
\title{Derive Time Relative to Reference}
\usage{
derive_var_atirel(dataset, flag_var, new_var)
}
\arguments{
\item{dataset}{Input dataset
The variables \code{TRTSDTM}, \code{ASTDTM}, \code{AENDTM} are expected}

\item{flag_var}{Name of the variable with Analysis Start Date Imputation Flag}

\item{new_var}{Name of variable to create}
}
\value{
A dataset containing all observations and variables of the input
dataset and additionally the variable specified by the \code{new_var} parameter.
}
\description{
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#deprecated}{\figure{lifecycle-deprecated.svg}{options: alt='[Deprecated]'}}}{\strong{[Deprecated]}}

This function is \emph{deprecated}, as it is deemed as too specific for admiral.
Derivations like this can be implemented calling \code{mutate()} and
\code{case_when()}.

Derives the variable \code{ATIREL} to CONCOMITANT, PRIOR, PRIOR_CONCOMITANT or NULL
based on the relationship of cm Analysis start/end date/times to treatment start date/time
}
\details{
\code{ATIREL} is set to:
\itemize{
\item null, if Datetime of First Exposure to Treatment is missing,
\item "CONCOMITANT", if the Analysis Start Date/Time is greater than or equal to Datetime of
First Exposure to Treatment,
\item "PRIOR", if the Analysis End Date/Time is not missing and less than
the Datetime of First Exposure to Treatment,
\item "CONCOMITANT" if the date part of Analysis Start Date/Time is equal to
the date part of Datetime of First Exposure to Treatment and
the Analysis Start Time Imputation Flag is 'H' or 'M',
\item otherwise it is set to "PRIOR_CONCOMITANT".
}
}
\author{
Teckla Akinyi
}
\keyword{deprecated}
